Skip to content

Get the list of resources authorized by the user in the logged-in application ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the list of resource permissions specified by the user. The user obtains the list of resources owned by the user in a certain application.

Method name ​

AuthenticationClient.getUserAuthorizedResourcesList

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value

Sample code ​

ts
import { AuthenticationClient, Models } from "authing-node-sdk";

const authenticationClient = new AuthenticationClient({
  // Need to replace with your GenAuth AppId, Secret and Host
  appId: "GEN_AUTH_APP_ID",
  appSecret: "GEN_AUTH_APP_SECRET",
  appHost: "GEN_AUTH_APP_HOST",
});

(async () => {
  // Please call the login interface to get access_token first, and call the setAccessToken method to set access_token
  authenticationClient.setAccessToken("REPLACE_ME_WITH_REAL_ACCESS_TOKEN");

  const result = await authenticationClient.getUserAuthorizedResourcesList();

  console.log(JSON.stringify(result, null, 2));
})();

Request response ​

Type: GetUserAuthResourceListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetUserAuthResourceListDataDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "userPermissionList": {
      "userId": "6301cexxxxxxxxxxxxxxxxx78",
      "namespaceCode": "examplePermissionNamespace",
      "resourceList": {
        "resourceCode": "resourceCode",
        "resourceType": "STRING",
        "strAuthorize": {
          "value": "Sample string resource Value",
          "actions": "[\"read\",\"get\"]"
        },
        "arrAuthorize": {
          "values": "[\"value0\",\"value1\"]",
          "actions": "[\"read\",\"get\"]"
        },
        "treeAuthorize": {
          "authList": {
            "nodePath": "/treeCode1/treeCode11",
            "nodeName": "Sample tree resource node name",
            "nodeActions": "[\"read\",\"get\"]",
            "nodeValue": "Sample tree resource node Value"
          }
        }
      }
    }
  }
}

Data structure ​

GetUserAuthResourceListDataDto ​

NameTypeIs it requiredDescriptionSample value
userPermissionListarrayYesUser permission list Nested type: <a UserAuthResourceListDto.

UserAuthResourceListDto ​

NameTypeIs it required?DescriptionExample value
userIdstringYesUser ID authorized by data policy6301cexxxxxxxxxxxxxxxxx78
namespaceCodestringYesPermission space authorized by data policy CodeexamplePermissionNamespace
resourceListarrayNoList of all data policy resources of the user under the permission space Nested type: <a OpenResource.

OpenResource ​

NameTypeIs it required?DescriptionSample value
resourceCodestringYesData resource Code authorized under the data policyresourceCode
resourceTypestringYesData resource type authorized under the data policy. Currently, it supports three types: tree structure (TREE), string (STRING), and array (ARRAY). Different structures are returned according to different types.
- STRING: string type result StrAuthorize
- ARRAY: array type ArrayAuthorize
- TREE: tree type TreeAuthorize
TREE
strAuthorizeNoString resource of data policy Nested type: <a StrAuthorize.
arrAuthorizeNoArray resource of data policy Nested type: <a ArrayAuthorize.
treeAuthorizeNoTree resource of data policy Nested type: <a TreeAuthorize.

StrAuthorize ​

NameTypeIs it required?DescriptionSample value
valuestringYesString resource ValueSample string resource Value
actionsarrayYesString resource action list["read","get"]

ArrayAuthorize ​

NameTypeIs it required?DescriptionSample value
valuesarrayYesArray resource Value list["value0","value1"]
actionsarrayYesArray resource action list["read","get"]

TreeAuthorize ​

| Name | Type | Is it required | Description | Sample value | |